Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.ee
Class WASRegistryManagedRuntime

    java.lang.Object
      org.apache.openjpa.ee.RegistryManagedRuntime
          org.apache.openjpa.ee.WASRegistryManagedRuntime

All Implemented Interfaces:
  ManagedRuntime

    public class WASRegistryManagedRuntime

extends RegistryManagedRuntime

WASRegistryManagedRuntime provides WebSphere specific extensions to `RegistryManagedRuntime`. Currently these extensions consist of using the WebSphere UOWManager interface to submit non transactional work.

Nested Class Summary
`(package private) class` | `WASRegistryManagedRuntime.DelegatingUOWAction` Delegate for the WebSphere proprietary UOWAction interface.

Nested classes/interfaces inherited from class org.apache.openjpa.ee.RegistryManagedRuntime
`RegistryManagedRuntime.TransactionManagerRegistryFacade`

Constructor Summary
`WASRegistryManagedRuntime()`

Method Summary
`void` | `doNonTransactionalWork(Runnable runnable)` RegistryManagedRuntime cannot suspend transactions, but WebSphere provides an interface to submit work outside of the current tran.

Methods inherited from class org.apache.openjpa.ee.RegistryManagedRuntime
`getRegistryName, getRollbackCause, getTransactionKey, getTransactionManager, setRegistryName, setRollbackOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WASRegistryManagedRuntime

    public WASRegistryManagedRuntime()

Method Detail

### doNonTransactionalWork

    public void doNonTransactionalWork(Runnable runnable)
                                throws RuntimeException,
                                       UnsupportedOperationException

  RegistryManagedRuntime cannot suspend transactions, but WebSphere provides an interface to submit work outside of the current tran.

  Specified by:
    `doNonTransactionalWork` in interface `ManagedRuntime`
  Overrides:
    `doNonTransactionalWork` in class `RegistryManagedRuntime`
  Parameters:
    `runnable` - The runnable wrapper for the work that will be done. The runnable object should be fully initialized with any state needed to execute.
  Throws:
    `RuntimeException`
    `UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.